Package twisted :: Package internet :: Module udp :: Class MulticastMixin |
[frames | no frames]

## Class MulticastMixin

Known Subclasses:
  `ConnectedMulticastPort`, `MulticastPort`

Implement multicast functionality.

Initial implementation, probably needs some changes for Windows support.

Method Summary
| `_joinAddr1(self, addr, interface, join)`
| `_joinAddr2(self, interface, addr, join)`
| `_setInterface(self, addr)`
| `getLoopbackMode(self)`
| `getOutgoingInterface(self)`
| `getTTL(self)`
| ``joinGroup`(self, addr, interface)` Join a multicast group.
| ``leaveGroup`(self, addr, interface)` Leave multicast group, return Deferred of success.
| `setLoopbackMode(self, mode)`
| ``setOutgoingInterface`(self, addr)` Returns Deferred of success.
| `setTTL(self, ttl)`

Method Details

### joinGroup(self, addr, interface='') Join a multicast group. Returns Deferred of success.

### leaveGroup(self, addr, interface='') Leave multicast group, return Deferred of success.

### setOutgoingInterface(self, addr) Returns Deferred of success.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:54 2003 | http://epydoc.sf.net